~ubuntu-branches/ubuntu/gutsy/slocate/gutsy

« back to all changes in this revision

Viewing changes to debian/preinst

  • Committer: Bazaar Package Importer
  • Author(s): Kevin Lindsay
  • Date: 2006-01-06 09:36:28 UTC
  • mfrom: (1.1.2 upstream)
  • Revision ID: james.westby@ubuntu.com-20060106093628-cq82c695r3st8xkv
Tags: 3.0.beta.r3-1
* The environment variable LOCATE_PATH was not being used properly. It will
  now be used the same as in v2.7. Closes: #345646
* slocate was returning non zero for -h, --help, -V and --version. It now
  returns zero.
* PRUNEFS was being ignored in /etc/updatedb.conf
* Added documentation describing how /etc/updatedb.conf is used and what
  is supported to the README and the slocate.1 and updatedb.1 man pages.
* README.debian was removed in 3.0.beta.r1-1 to close bug 272131, but it was
  accidently readded in 3.0.beta.r2-1. I now have a use for it, so it is now
  here to stay.

Show diffs side-by-side

added added

removed removed

Lines of Context:
184
184
                        /etc/cron.daily/find
185
185
#fi
186
186
 
 
187
# The database format has changed, check if we should remove it.
 
188
if [ "upgrade" = "$1" -a -e "/var/lib/slocate/slocate.db" -a "$2" = "2.7-4" ] ; then
 
189
        rm -f /var/lib/slocate/slocate.db
 
190
        echo
 
191
        echo "The slocate database format has changed. It will no longer function with"
 
192
        echo "this version of Secure Locate and has been removed."
 
193
        echo
 
194
fi
187
195
 
188
196
#DEBHELPER#